> For the complete documentation index, see [llms.txt](https://docs.xaman.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers.md).

# Xumm.helpers { … }

- [ping()](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/ping.md): Contact the Xumm platform to check for connectivity and valid auth.
- [getRates( … )](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/getrates.md): Get aggregated exchange rates vs. XRP for most fiat & crypto assets.
- [getRails()](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/getrails.md): Fetch the available (known) networks and network parameters.
- [getHookHash( … )](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/gethookhash.md): Get meta information for a known Hook, by specifying the Hook Hash (64 hex chars)
- [getHookHashes()](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/gethookhashes.md): Get the meta information for all known Hooks. Object returned contains Hook hash as key, meta as value.
- [getCuratedAssets()](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/getcuratedassets.md): Get the curated assets (shortlist in Xumm) for Trust Lines
- [getNftokenDetail( … )](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/getnftokendetail.md): Get NFT Token details. Only available in JWT context. Please fetch your NFT info from other NFT data sources if possible.
- [getKycStatus( … )](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/getkycstatus.md): Get the KYC status for users, based on a user\_token issued by a successful sign request.
- [verifyUserTokens(\[ … \])](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/verifyusertokens.md): Verify a user token (or multiple), to see if the token is still valid (not expired, not revoked) and can be used to deliver sign requests to user(s)
- [getTransaction( … )](https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers/gettransaction.md): Fetch an XRPL transaction & metadata. Please don't use this method unless absolutely necessary: please set up your own connection to an XRPL node to fetch this information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xaman.dev/js-ts-sdk/sdk-syntax/xumm.helpers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
